LibreOffice: XSAXEventKeeperStatusChangeBroadcaster Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XSAXEventKeeperStatusChangeBroadcaster Interface Reference

Interface of SAXEventKeeper Status Change Broadcaster. More...

`import"XSAXEventKeeperStatusChangeBroadcaster.idl";`

Inheritance diagram for XSAXEventKeeperStatusChangeBroadcaster:

## Public Member Functions
void | addSAXEventKeeperStatusChangeListener ([in] XSAXEventKeeperStatusChangeListener listener)
| Adds a new status change listener. More...
void | removeSAXEventKeeperStatusChangeListener ([in] XSAXEventKeeperStatusChangeListener listener)
| Removes a status change listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of SAXEventKeeper Status Change Broadcaster.

This interface is used to manipulate SAXEventKeeper status change listener.

## Member Function Documentation

## ◆ addSAXEventKeeperStatusChangeListener()

void addSAXEventKeeperStatusChangeListener | ( | [in] XSAXEventKeeperStatusChangeListener | listener | ) |

Adds a new status change listener.

When the SAXEventKeeper's status changes, the listener will receive a notification.

Parameters

  listener | the listener to be added

## ◆ removeSAXEventKeeperStatusChangeListener()

void removeSAXEventKeeperStatusChangeListener | ( | [in] XSAXEventKeeperStatusChangeListener | listener | ) |

Removes a status change listener.

After a listener is removed, no status change notification will be sent to it.

Parameters

  listener | the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XSAXEventKeeperStatusChangeBroadcaster.idl